EKNO YUAG - Bug #4177

Issue field Lock tidak berubah ketika data termination dihapus
02/02/2026 03:19 PM - Mr Ikmal

Status: Closed Start date: 02/02/2026
Priority: Normal Due date:

Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear team developer,

Mohon bantuannya untuk pengecekan dan perbaikan case berikut.
Jika terdapat data employee yg termination dari table PA02, ada case misalnya user salah input data sehingga akhirnya user nya
menghapus termination tersebut, maka field Lock di tabel SUSER ingin dibuat kembali menjadi 0.

Saat ini, berdasarkan pengecekan sy di port dev, ketika data termination ditambahkan, field Lock di tabel SUSER berubah menjadi 1.
Namun, ketika data termination tersebut dihapus, field Lock masih tetap 1 dan tidak kembali menjadi 0.

kriteria data (flag terhadap lock di suser):
MovementType: Termination (table PHRPA0002)

contoh emplD: 00000584 - Data Testing
Terima kasih.

PORT DEV
hris-ekno-dev.minovais.com
db nya minovaes_ekno_dev yang di cloud 89

PORT PROD

Port DB: 103.153.60.89

database: MinovaES_Ekno
https://hris-ekno.minovais.com/Account/Login

History

#1 - 02/02/2026 06:01 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to Mr lkmal

Mal,

untuk ini hanya berlaku searah. jadi kalau ada delete data assignment, maka di user management harus melakukan unlock sendiri di menu tsb tidak
bs otomatis.

Tks

#2 - 02/04/2026 08:22 AM - Mr lkmal

- Status changed from Assigned to Closed

Baik bu, noted.
Terima kasih
